CustomValueObjectUtils

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.customvo.server
Class CustomValueObjectUtils

    java.lang.Object
      org.openswing.swing.customvo.server.CustomValueObjectUtils

public class CustomValueObjectUtils
extends java.lang.Object

Title: OpenSwing Framework

Description: Utility class used to insert/update/delete records using java.sql.Connection object and a dynamic description of value objects to manage.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of JAllInOne ERP/CRM application. This application is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`CustomValueObjectUtils()`

Method Summary
`static java.util.ArrayList` | `getCustomFields(java.sql.Connection conn, java.lang.String sql, java.util.ArrayList values)` Insert rows, starting from the list of maps provided.

`static Response`

`getQuery(java.sql.Connection conn, java.lang.String baseSQL, java.util.ArrayList values, int action, int startIndex, java.util.Map filteredColumns, java.util.ArrayList currentSortedColumns, java.util.ArrayList currentSortedVersusColumns, java.util.ArrayList customFields, boolean logQuery)`
Insert rows, starting from the list of maps provided.

`static Response`

`getQuery(java.sql.Connection conn, java.lang.String baseSQL, java.util.ArrayList values, int action, int startIndex, java.util.Map filteredColumns, java.util.ArrayList currentSortedColumns, java.util.ArrayList currentSortedVersusColumns, java.util.ArrayList customFields, int blockSize, boolean logQuery)`
Insert rows, starting from the list of maps provided.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomValueObjectUtils

    public CustomValueObjectUtils()

Method Detail

### getCustomFields

    public static final java.util.ArrayList getCustomFields(java.sql.Connection conn,
                                                            java.lang.String sql,
                                                            java.util.ArrayList values)
                                                     throws java.lang.Exception

  Insert rows, starting from the list of maps provided.

  Returns:
    Response
  Throws:
    `java.lang.Exception`

### getQuery

    public static final Response getQuery(java.sql.Connection conn,
                                          java.lang.String baseSQL,
                                          java.util.ArrayList values,
                                          int action,
                                          int startIndex,
                                          java.util.Map filteredColumns,
                                          java.util.ArrayList currentSortedColumns,
                                          java.util.ArrayList currentSortedVersusColumns,
                                          java.util.ArrayList customFields,
                                          int blockSize,
                                          boolean logQuery)
                                   throws java.lang.Exception

  Insert rows, starting from the list of maps provided.

  Parameters:
    `customFields` - list of CustomFieldVO objects
  Returns:
    Response
  Throws:
    `java.lang.Exception`

### getQuery

    public static final Response getQuery(java.sql.Connection conn,
                                          java.lang.String baseSQL,
                                          java.util.ArrayList values,
                                          int action,
                                          int startIndex,
                                          java.util.Map filteredColumns,
                                          java.util.ArrayList currentSortedColumns,
                                          java.util.ArrayList currentSortedVersusColumns,
                                          java.util.ArrayList customFields,
                                          boolean logQuery)
                                   throws java.lang.Exception

  Insert rows, starting from the list of maps provided.

  Parameters:
    `customFields` - list of CustomFieldVO objects
  Returns:
    Response
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD